## tdesktop-3.4.3-full.tar.gz

=== Telegram/lib_waylandshells/CMakeLists.txt ===
# This file is part of Desktop App Toolkit,
# a set of libraries for developing nice desktop applications.
#
# For license and copyright information please follow this link:
# https://github.com/desktop-app/legal/blob/master/LEGAL

add_library(lib_waylandshells OBJECT)
add_library(desktop-app::lib_waylandshells ALIAS lib_waylandshells)
init_target(lib_waylandshells)

add_subdirectory(waylandshells/xdg-shell)
get_filename_component(src_loc . REALPATH)

nice_target_sources(lib_waylandshells ${src_loc}
PRIVATE
    waylandshells/xdg_shell.cpp
    waylandshells/xdg_shell.h
)

target_include_directories(lib_waylandshells
PUBLIC
    ${src_loc}
)

target_link_libraries(lib_waylandshells
PUBLIC
    desktop-app::lib_waylandshells::xdg_shell
    desktop-app::external_qt
)

=== Telegram/ThirdParty/fcitx5-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(fcitx5-qt VERSION 5.0.9)
set(FCITX5_QT_VERSION ${PROJECT_VERSION})

set(REQUIRED_QT4_VERSION 4.8.0)
set(REQUIRED_QT5_VERSION 5.1.0)
set(REQUIRED_QT6_VERSION 6.0.0)

find_package(ECM 1.4.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_QT4 "Enable Qt 4" On)
option(ENABLE_QT5 "Enable Qt 5" On)
option(ENABLE_QT6 "Enable Qt 6" Off)
option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)

if (BUILD_ONLY_PLUGIN)
  set(LIBRARY_TYPE STATIC)
  set(LIBRARY_COMPILE_FLAGS "-fPIC")
else()
  set(LIBRARY_TYPE SHARED)
  add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
endif()

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
  set(PLUGIN_LIBRARY_TYPE STATIC)
else()
  set(PLUGIN_LIBRARY_TYPE MODULE)
endif()

add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\" -DQT_NO_KEYWORDS)

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMUninstallTarget)

find_package(XCB REQUIRED COMPONENTS XCB)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
if (NOT BUILD_ONLY_PLUGIN)
find_package(Fcitx5Utils REQUIRED)
endif()
find_package(X11 REQUIRED)

add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")

if (BUILD_ONLY_PLUGIN)
# Dup a little bit option here.
include(CompilerSettings)
else()
include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
endif()

set(Fcitx5Qt6_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt6)
set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)

if(ENABLE_QT4)
  find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
  add_subdirectory(qt4)
endif()

if(ENABLE_QT5)
  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
  find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
  add_subdirectory(qt5)
endif()

if(ENABLE_QT6)
  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus)
  find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
  add_subdirectory(qt6)
endif()

if(NOT BUILD_ONLY_PLUGIN)
find_package(Gettext REQUIRED)
add_subdirectory(po)
endif()

enable_testing()
add_subdirectory(test)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== Telegram/lib_waylandshells/waylandshells/xdg-shell/CMakeLists.txt ===
# This file is part of Desktop App Toolkit,
# a set of libraries for developing nice desktop applications.
#
# For license and copyright information please follow this link:
# https://github.com/desktop-app/legal/blob/master/LEGAL

if (NOT DESKTOP_APP_QT6)
    find_package(ECM REQUIRED)
    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
    find_package(QtWaylandScanner REQUIRED)
endif()

add_library(lib_waylandshells_xdg_shell STATIC)
add_library(desktop-app::lib_waylandshells::xdg_shell ALIAS lib_waylandshells_xdg_shell)
init_target(lib_waylandshells_xdg_shell)

get_filename_component(src_loc . REALPATH)
set_target_properties(lib_waylandshells_xdg_shell PROPERTIES AUTOMOC ON)

if (DESKTOP_APP_QT6)
    qt6_generate_wayland_protocol_client_sources(lib_waylandshells_xdg_shell
    FILES
        ${src_loc}/xdg-shell.xml
        ${src_loc}/xdg-decoration-unstable-v1.xml
    )
else()
    ecm_add_qtwayland_client_protocol(xdg_shell_protocol_srcs
        PROTOCOL ${src_loc}/xdg-shell.xml
        BASENAME xdg-shell
    )

    ecm_add_qtwayland_client_protocol(xdg_decoration_protocol_srcs
        PROTOCOL ${src_loc}/xdg-decoration-unstable-v1.xml
        BASENAME xdg-decoration-unstable-v1
    )
endif()

nice_target_sources(lib_waylandshells_xdg_shell ${src_loc}
PRIVATE
    main.cpp
    qwaylandxdgdecorationv1.cpp
    qwaylandxdgdecorationv1_p.h
    qwaylandxdgshell.cpp
    qwaylandxdgshell_p.h
    qwaylandxdgshellintegration.cpp
    qwaylandxdgshellintegration_p.h
)

if (NOT DESKTOP_APP_QT6)
    target_sources(lib_waylandshells_xdg_shell
    PRIVATE
        ${xdg_shell_protocol_srcs}
        ${xdg_decoration_protocol_srcs}
    )
endif()

target_include_directories(lib_waylandshells_xdg_shell
PRIVATE
    ${src_loc}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_compile_options(lib_waylandshells_xdg_shell
PRIVATE
    -UQT_NO_KEYWORDS
)

target_compile_definitions(lib_waylandshells_xdg_shell
PRIVATE
    QT_STATICPLUGIN
)

target_link_libraries(lib_waylandshells_xdg_shell
PRIVATE
    desktop-app::external_qt
)

if (DESKTOP_APP_USE_PACKAGED)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(WAYLAND_CLIENT REQUIRED IMPORTED_TARGET wayland-client)
    target_link_libraries(lib_waylandshells_xdg_shell PRIVATE PkgConfig::WAYLAND_CLIENT)
endif()

=== Telegram/ThirdParty/range-v3/example/view/CMakeLists.txt ===
set(CMAKE_FOLDER "${CMAKE_FOLDER}/view")

rv3_add_test(example.view.transform example.view.transform transform.cpp)
# NOTE: Make sure the output matches the contents of `transform_golden.txt`
set_tests_properties(range.v3.example.view.transform PROPERTIES PASS_REGULAR_EXPRESSION "\\[0.5,1,1.5\\]")

=== Telegram/ThirdParty/nimf/debian/changelog ===
nimf (1.3.0hamonikr40.6) stable; urgency=medium

  * Release for Ubuntu 21.10 imfish

 -- HamoniKRTeam <pkg@hamonikr.org>  Thu, 23 Dec 2021 16:57:08 +0900

nimf (1.3.0hamonikr40.5) stable; urgency=medium

  * Release for Ubuntu 21.04 hirsute

 -- HamoniKRTeam <pkg@hamonikr.org>  Fri, 19 Mar 2021 16:42:20 +0900

nimf (1.3.0hamonikr40.4) stable; urgency=medium

  * Remove doc/nimf-info.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name to Hodong Kim
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name to Hodong Kim

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 08 Dec 2020 09:49:50 +0900

nimf (1.3.0hamonikr40.3) stable; urgency=medium

  * Update nimf/configure.ac
   - Change version string to 1.3.0
  * Add doc/nimf-info.png and doc/nimf.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name as HamoniKR
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name as HamoniKR

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.2) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Apply new icons for modules
  * Removed modules/engines/nimf-m17n/icons/scalable/nimf-m17n-ui.svg
   - Fix bug for nimf/modules/engines/nimf-m17n/test-nimf-m17n.c 

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.1) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Build for auto upgrage on HamoniKR 4.0 Jin
 
 -- HamoniKRTeam <pkg@hamonikr.org>  Sun, 29 Nov 2020 18:07:32 +0900

nimf (2020.04.28-1+hamonikr40.2) focal; urgency=low

  * Apply patch for HamoniKR 4.0
  * Update icons on data/icons/scalable folder
   - Apply new icon for HamoniKR 4.0
  * Update AUTHORS, README
   - Changed contact into AUTHORS for fix #23
  * Added BUILD.md and README.md
   - Add build descriptions for HamoniKR 4.0 (Ubuntu 20.04)
  * Update modules/services/indicator/nimf-indicator.c
   - Changed display maintainer name  

-- HamoniKR Team <pkg@hamonikr.org>  Sun, 29 Nov 2020 17:57:07 +0900

nimf (2020.04.28-0~20200428~hamonikr40.1) focal; urgency=low

  * Apply new icons for HamoniKR 4.0

-- HamoniKR Team <pkg@hamonikr.org>  Tue, 13 Oct 2020 15:32:00 +0900

nimf (2020.04.28) stable; urgency=medium

  * Fixed auto-reordering
  * Fixed errors when typing Hangul with the Dvorak layout.
  * Fixed wrong path. This prevents nimf from running more than once.
    Don't use g_get_user_runtime_dir()
  * Fix an error on compiling im-nimf.c for gtk2

 -- Hodong Kim <nimfsoft@gmail.com>  Tue, 28 Apr 2020 22:14:14 +0900

nimf (2019.08.14) stable; urgency=medium

  * Updated README
  * Fixed requirements
  * Use gtk-doc >= 1.26 to avoid automake warnings

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 19:55:40 +0900

nimf (2019.08.05) stable; urgency=medium

  * Replaced specs/* with nimf.spec
  * IMdkit: Code cleanup (#106)
  * Imported some code from the RHEL code review

 -- Hodong Kim <cogniti@gmail.com>  Mon, 05 Aug 2019 22:19:55 +0900

nimf (2019.07.27) stable; urgency=medium

  * Fixed backward compatibility for OpenSUSE Leap
  * Fixed freezing (#152)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 27 Jul 2019 18:50:02 +0900

nimf (2019.07.26) stable; urgency=medium

  * Fixed a potential bug (#152)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 26 Jul 2019 23:06:01 +0900

nimf (2019.07.24) stable; urgency=medium

  * Added NIMF_KEY_Kanji, NIMF_KEY_Kana_Shift (#283)
  * nimf-anthy: Fixed the candidate window

 -- Hodong Kim <cogniti@gmail.com>  Wed, 24 Jul 2019 16:07:20 +0900

nimf (2019.07.21) stable; urgency=medium

  * nimf-settings: Fixd segmentation fault (#277 #280 #282)
  * IMdkit: Code cleanup (#106)
  * Updated installation documentation (#270 #281)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jul 2019 23:30:08 +0900

nimf (2019.07.16) stable; urgency=medium

  * nimf-anthy: Code cleanup
  * nimf-anthy: Fixed space
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jul 2019 12:25:08 +0900

nimf (2019.07.10) stable; urgency=medium

  * Check schema and key for GNOME (#277)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 10 Jul 2019 23:09:46 +0900

nimf (2019.07.08) stable; urgency=medium

  * Added --disable-nimf-m17n option (#270)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 08 Jul 2019 23:28:52 +0900

nimf (2019.07.03) stable; urgency=medium

  * Improved nimf-settings
  * Added an option: Setup environment variables (#87)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 03 Jul 2019 19:05:33 +0900

nimf (2019.06.23) stable; urgency=medium

  * Fixed backward compatibility for m17n-db (#273)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jun 2019 21:42:16 +0900

nimf (2019.06.22) stable; urgency=medium

  * Fixed preedit window location
  * Fixed nimf-xim not starting in the Xwayland environment (#272)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jun 2019 19:10:34 +0900

nimf (2019.06.21) stable; urgency=medium

  * Redesigned shortcuts (closes #272)
  * im-nimf-qt5: Fixed lt major version

 -- Hodong Kim <cogniti@gmail.com>  Fri, 21 Jun 2019 10:05:24 +0900

nimf (2019.06.07) stable; urgency=medium

  * Updated some docs
  * Added signals: "engine-loaded", "engine-unloaded"
  * Code cleanup
  * Check if GNOME is running
  * Added missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jun 2019 06:57:33 +0900

nimf (2019.06.06) stable; urgency=medium

  * Fixed how to apply xkb options (#269)
  * Fixed #267
  * nimf-rime: Fixed preedit state

 -- Hodong Kim <cogniti@gmail.com>  Thu, 06 Jun 2019 00:02:01 +0900

nimf (2019.06.05) stable; urgency=medium

  * nimf-rime: Fixed preedit state
  * Fixed how to apply xkb options (closes #269)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Jun 2019 10:49:15 +0900

nimf (2019.06.03) stable; urgency=medium

  * Updated translations
  * Load module dynamically



=== Telegram/ThirdParty/nimf/archlinux/PKGBUILD ===
#
# PKGBUILD
# This file is part of Nimf.
# Author: Hodong Kim
# Unlike other files in the Nimf project,
# this PKGBUILD file is in the public domain.

pkgname=nimf
pkgver=1.1
pkgrel=2
pkgdesc="Nimf is an input method framework."
arch=('any')
url="https://github.com/hamonikr/nimf"
license=('LGPL3')
makedepends=('binutils' 'autoconf' 'automake' 'gcc' 'make' 'glib2' 'intltool'
             'gtk3' 'gtk2' 'qt5-base' 'libappindicator-gtk3' 'librsvg'
             'noto-fonts-cjk' 'libhangul' 'anthy' 'librime' 'libxkbcommon'
             'wayland' 'libxklavier' 'm17n-lib' 'm17n-db' 'gtk-doc')
depends=('glib2' 'gtk3' 'gtk2' 'qt5-base' 'libappindicator-gtk3' 'libhangul'
         'anthy' 'librime' 'libxkbcommon' 'wayland' 'libxklavier' 'm17n-lib'
         'm17n-db')
optdepends=('brise: Rime schema repository'
            'noto-fonts-cjk: Google Noto CJK fonts')
source=("https://github.com/hamonikr/nimf/archive/${pkgver}.tar.gz")
md5sums=('d1141369686a3dd2924474f70525a92f')

pkgver() {
	cd "$srcdir/nimf-$pkgver"
	grep AC_INIT configure.ac | grep -Po '\d{4}.\d{2}.\d{2}'
}

build() {
	cd "$srcdir/nimf-$pkgver"
	./autogen.sh --prefix=/usr --enable-gtk-doc
	make -j 4
}

package() {
	cd "$srcdir/nimf-$pkgver"
	make DESTDIR="${pkgdir}/" install
}

=== Telegram/ThirdParty/nimf/debian/control ===
Source: nimf
Section: utils
Priority: optional
Maintainer: Kevin Kim <root@hamonikr.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev (>= 2.54),
               pkg-config,
               intltool (>= 0.50.1),
               libgtk-3-dev,
               libgtk-3-bin,
               libgtk2.0-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               libappindicator3-dev,
               librsvg2-bin,
               fonts-noto-cjk,
               libhangul-dev,
               libanthy-dev,
               anthy,
               librime-dev (>= 1.2.9),
               libxkbcommon-dev (>= 0.5.0),
               libwayland-dev,
               wayland-protocols,
               libxklavier-dev,
               libm17n-dev (>= 1.7.0),
               m17n-db (>= 1.7.0),
               gtk-doc-tools (>= 1.26)
Standards-Version: 3.9.8
Homepage: https://github.com/hamonikr/nimf

Package: nimf
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libnimf1 (= ${binary:Version})
Recommends: im-config
Suggests: fonts-noto-cjk | nimf-anthy | nimf-libhangul | nimf-m17n | nimf-rime
Description: Input Method Framework
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the essentials for Nimf.

Package: libnimf1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Input Method Framework (shared library)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the shared library.

Package: nimf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnimf1 (= ${binary:Version}),
         libglib2.0-dev
Description: Input Method Framework (development file)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains development files.

Package: nimf-anthy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version}), anthy
Suggests: fonts-noto-cjk
Description: Japanese input module for Nimf, based on anthy
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Japanese input module based on anthy.

Package: nimf-libhangul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Korean input module for Nimf, based on libhangul
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Korean input module based on libhangul.

Package: nimf-m17n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libm17n-0 (>= 1.7.0), m17n-db (>= 1.7.0), nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Multilingual input module for Nimf, based on m17n
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides multilingual input modules based on m17n.

Package: nimf-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Recommends: librime-data
Suggests: fonts-noto-cjk
Description: Chinese input module for Nimf, based on rime
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Chinese input module based on rime.

Package: qtbase-abi-5-9-5-dummy
Architecture: any
Depends: qtbase-abi-5-11-3 | libqt5core5a
Provides: qtbase-abi-5-9-5
Description: Dummy package for Debian Buster
 This package provides a dummy qtbase-abi-5-9-5 for Debian Buster.

=== Telegram/ThirdParty/nimf/manjaro-arm/PKGBUILD ===
# Maintainer: Kevin Kim <root@hamonikr.org>
# Contributor: Whemoon Jang <palindrom615@gmail.com>
# Contributor: Hodong Kim <nimfsoft@gmail.com>
# Contributor: Youngbin Han <sukso96100@gmail.com>
# Contributor: Changjoo Lee <icj7061@gmail.com>
# Contributor: ywen407 <ywen407@naver.com>
pkgname=nimf
pkgver=1.2.0.r22.01ae33c
pkgrel=1
epoch=1
pkgdesc='Nimf is a lightweight, fast and extensible input method framework.'
arch=('i386' 'x86_64' 'arm64' 'aarch64')
url="https://github.com/hamonikr/nimf"
license=('LGPL3')
groups=()
depends=(
	'glib2'
	'gtk3'
	'libxklavier'
	'libxkbcommon>=0.5.0'
	'libappindicator-gtk3'
)
makedepends=(
	'git'
	'meson'
	'ninja'
	'gcc'
	'gtk2'
	'gtk-doc'
	'gtk-update-icon-cache'
	'librsvg'
	'anthy'
	'libhangul>=0.0.12'
	'm17n-db>=1.7.0'
	'm17n-lib>=1.7.0'
	'librime>=1.2.9'
	'libx11'
	'wayland-protocols'
	'wayland'
	'qt5-base'
)
optdepends=('qt4: qt4 support')
provides=("nimf")
conflicts=("nimf")
options=()
install=
source=("${pkgname%}::git+$url.git#branch=meson-build")
noextract=()
md5sums=('SKIP')

pkgver() {
	cd "$srcdir/${pkgname%}"
# Git, tags available
	printf "%s" "$(git describe --long | sed 's/\([^-]*-\)g/r\1/;s/-/./g')"
}

build() {
	cd "$srcdir/${pkgname%}"
	meson setup build --buildtype=release --prefix="/usr"  -Dwith_nimf_qt4=false
	ninja -C build
}

package() {
	cd "$srcdir/${pkgname%}"
	DESTDIR="$pkgdir/" ninja -C build install
}

=== archlinux/PKGBUILD ===
#
# PKGBUILD
# This file is part of Nimf.
#
# Unlike other files in the Nimf project,
# this PKGBUILD file is in the public domain.

pkgname=nimf
pkgver=master
pkgrel=1
pkgdesc="Nimf is an input method framework."
arch=('any')
url="https://gitlab.com/nimf-i18n/nimf"
license=('LGPL3')
makedepends=('binutils' 'autoconf' 'automake' 'gcc' 'make' 'glib2' 'intltool'
             'gtk3' 'gtk2' 'qt4' 'qt5-base' 'libappindicator-gtk3' 'librsvg'
             'noto-fonts-cjk' 'libhangul' 'anthy' 'librime' 'libxkbcommon'
             'wayland' 'libxklavier' 'm17n-lib' 'm17n-db' 'gtk-doc')
depends=('glib2' 'gtk3' 'gtk2' 'qt4' 'qt5-base' 'libappindicator-gtk3'
         'libhangul' 'anthy' 'librime' 'libxkbcommon' 'wayland' 'libxklavier'
         'm17n-lib' 'm17n-db')
optdepends=('brise: Rime schema repository'
            'noto-fonts-cjk: Google Noto CJK fonts')
source=("https://gitlab.com/nimf-i18n/nimf/-/archive/master/nimf-master.tar.bz2")
md5sums=('SKIP')

pkgver() {
	cd "$srcdir/nimf-master"
	grep AC_INIT configure.ac | grep -Po '\d{4}.\d{2}.\d{2}'
}

build() {
	cd "$srcdir/nimf-master"
	./autogen.sh --prefix=/usr --enable-gtk-doc
	make -j 4
}

package() {
	cd "$srcdir/nimf-master"
	make DESTDIR="${pkgdir}/" install
}

=== debian/control ===
Source: nimf
Section: utils
Priority: optional
Maintainer: Hodong Kim <cogniti@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev (>= 2.54),
               pkg-config,
               intltool (>= 0.50.1),
               libgtk-3-dev,
               libgtk-3-bin,
               libgtk2.0-dev,
               libqt4-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               libappindicator3-dev,
               librsvg2-bin,
               fonts-noto-cjk,
               libhangul-dev,
               libanthy-dev,
               anthy,
               librime-dev (>= 1.2.9),
               libxkbcommon-dev (>= 0.5.0),
               libwayland-dev,
               wayland-protocols,
               libxklavier-dev,
               libm17n-dev (>= 1.7.0),
               m17n-db (>= 1.7.0),
               gtk-doc-tools (>= 1.26)
Standards-Version: 3.9.8
Homepage: https://gitlab.com/nimf-i18n/nimf

Package: nimf
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libnimf1 (= ${binary:Version})
Recommends: im-config
Suggests: fonts-noto-cjk | nimf-anthy | nimf-libhangul | nimf-m17n | nimf-rime
Description: Input Method Framework
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the essentials for Nimf.

Package: libnimf1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Input Method Framework (shared library)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the shared library.

Package: nimf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnimf1 (= ${binary:Version}),
         libglib2.0-dev
Description: Input Method Framework (development file)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains development files.

Package: nimf-anthy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version}), anthy
Suggests: fonts-noto-cjk
Description: Japanese input module for Nimf, based on anthy
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Japanese input module based on anthy.

Package: nimf-libhangul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Korean input module for Nimf, based on libhangul
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Korean input module based on libhangul.

Package: nimf-m17n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libm17n-0 (>= 1.7.0), m17n-db (>= 1.7.0), nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Multilingual input module for Nimf, based on m17n
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides multilingual input modules based on m17n.

Package: nimf-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Recommends: librime-data
Suggests: fonts-noto-cjk
Description: Chinese input module for Nimf, based on rime
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Chinese input module based on rime.

Package: qtbase-abi-5-9-5-dummy
Architecture: any
Depends: qtbase-abi-5-11-3
Provides: qtbase-abi-5-9-5
Description: Dummy package for Debian Buster
 This package provides a dummy qtbase-abi-5-9-5 for Debian Buster.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-im-config-data --enable-gtk-doc
